Unknown (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: Unknown

Package com.sun.jna.platform.win32.COM

# Class Unknown

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown

All Implemented Interfaces:
  `NativeMapped`, `IUnknown`

Direct Known Subclasses:
  `ConnectionPoint`, `ConnectionPointContainer`, `Dispatch`, `EnumMoniker`, `EnumVariant`, `Moniker`, `RecordInfo`, `RunningObjectTable`, `TypeComp`, `TypeInfo`, `TypeLib`, `Unknown.ByReference`, `Wbemcli.IEnumWbemClassObject`, `Wbemcli.IWbemClassObject`, `Wbemcli.IWbemContext`, `Wbemcli.IWbemLocator`, `Wbemcli.IWbemQualifierSet`, `Wbemcli.IWbemServices`

public class Unknown extends COMInvoker implements IUnknown
Wrapper class for the ITypeInfo interface Method Name V-Table Offset IUnknown.QueryInterface 0 IUnknown.AddRef 4 IUnknown.Release 8

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Unknown.ByReference`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Unknown()`
  `Unknown(Pointer pvInstance)`
  Instantiates a new i unknown.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `AddRef()`
  `WinNT.HRESULT`
  `QueryInterface(Guid.REFIID riid, PointerByReference ppvObject)`
  Query interface.
  `int`
  `Release()`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Unknown

    public Unknown()

  - ### Unknown

    public Unknown(Pointer pvInstance)
    Instantiates a new i unknown.
    Parameters:
      `pvInstance` - the pv instance

- ## Method Details

  - ### QueryInterface

    public WinNT.HRESULT QueryInterface(Guid.REFIID riid, PointerByReference ppvObject)
    Query interface.
    Specified by:
      `QueryInterface` in interface `IUnknown`
    Parameters:
      `riid` - the riid
      `ppvObject` - the ppv object
    Returns:
      the hresult

  - ### AddRef

    public int AddRef()
    Specified by:
      `AddRef` in interface `IUnknown`

  - ### Release

    public int Release()
    Specified by:
      `Release` in interface `IUnknown`